### Method

# Gtk MenuButton set_can_shrink

since: 4.12

#### Declaration [src]

    void
    gtk_menu_button_set_can_shrink (
      GtkMenuButton* menu_button,
      gboolean can_shrink
    )

#### Description [src]

Sets whether the button size can be smaller than the natural size of its contents.

For text buttons, setting `can_shrink` to true will ellipsize the label.

For icon buttons, this function has no effect.

Available since: 4.12

Sets property | `Gtk.MenuButton:can-shrink`

#### Parameters

`can_shrink`

  Type: `gboolean`

  Whether the button can shrink.